> ## Documentation Index
> Fetch the complete documentation index at: https://mindcase.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# TikTok Video Details

> Get TikTok video details from URLs: captions, music, heart count, play count, hashtags, and profile info

`$4.7 / 1k videos`

Get TikTok video details from URLs: captions, music, heart count, play count, hashtags, and profile info

## Endpoint

`POST /api/v1/agents/tiktok/video/run`

## Parameters

<ParamField body="urls" type="array" required>
  **List** · TikTok video URLs to scrape. One per line.
</ParamField>

<ParamField body="scrapeRelatedVideos" type="boolean" default={false}>
  **Toggle** · Also fetch each video's related videos (TikTok's recommendation feed).
</ParamField>

<ParamField body="maxRelatedVideos" type="integer" default={5}>
  **Number** · How many related videos to fetch per input video URL. Only used when "Scrape Related Videos" is on.
</ParamField>

## Response columns

| Field             | Display name     | Type    |
| ----------------- | ---------------- | ------- |
| `videoUrl`        | Video URL        | url     |
| `caption`         | Caption          | text    |
| `posted`          | Posted           | text    |
| `plays`           | Plays            | number  |
| `likes`           | Likes            | number  |
| `comments`        | Comments         | number  |
| `shares`          | Shares           | number  |
| `saves`           | Saves            | number  |
| `reposts`         | Reposts          | number  |
| `authorUrl`       | Author URL       | url     |
| `authorUsername`  | Author Username  | text    |
| `authorName`      | Author Name      | text    |
| `authorAvatar`    | Author Avatar    | url     |
| `authorFollowers` | Author Followers | number  |
| `authorVerified`  | Author Verified  | boolean |
| `videoCover`      | Video Cover      | url     |
| `durationS`       | Duration (s)     | number  |
| `song`            | Song             | text    |
| `artist`          | Artist           | text    |
| `topHashtag`      | Top Hashtag      | text    |
| `isAd`            | Is Ad            | boolean |
| `pinned`          | Pinned           | boolean |
| `slideshow`       | Slideshow        | boolean |
| `sponsored`       | Sponsored        | boolean |
| `language`        | Language         | text    |

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://api.mindcase.co/api/v1/agents/tiktok/video/run \
    -H "Authorization: Bearer mk_live_abc123def456" \
    -H "Content-Type: application/json" \
    -d '{
    "params": {
      "profiles": [
        "mrbeast",
        "charlidamelio",
        "khaby.lame",
        "bellapoarch",
        "zachking"
      ],
      "resultsPerPage": 2,
      "shouldDownloadVideos": false,
      "shouldDownloadCovers": false
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  resp = requests.post(
      "https://api.mindcase.co/api/v1/agents/tiktok/video/run",
      headers={"Authorization": "Bearer mk_live_abc123def456"},
      json={"params": {
      "profiles": [
          "mrbeast",
          "charlidamelio",
          "khaby.lame",
          "bellapoarch",
          "zachking"
      ],
      "resultsPerPage": 2,
      "shouldDownloadVideos": false,
      "shouldDownloadCovers": false
  }},
  )
  data = resp.json()
  ```
</CodeGroup>

### Example response

```json Response theme={null}
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "videoUrl": "https://www.tiktok.com/@charlidamelio/video/7635443267638791437",
      "caption": "@TikTok",
      "posted": "2026-05-02T23:39:59.000Z",
      "plays": 9500000,
      "likes": 1300000,
      "comments": 4556,
      "shares": 5846,
      "saves": 27517,
      "reposts": 0,
      "authorUrl": "https://www.tiktok.com/@charlidamelio",
      "authorUsername": "charlidamelio",
      "authorName": "charli d\u2019amelio",
      "authorAvatar": "https://p16-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/ee31de49ddf64b45c5b2e3c55fbd0ea4~tplv-tiktokx-cropcenter:720:720.jpeg?dr=9640&refresh_token=f4ee99ee&x-expires=1777993200&x-signature=sBKbP4VbuTUpAiw6RrGArUMb0aE%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=f20df69d&idc=useast5",
      "authorFollowers": 157400000,
      "authorVerified": true,
      "videoCover": "https://p19-common-sign.tiktokcdn-us.com/tos-useast5-p-0068-tx/oYvEDFDpIO4ESI9B3tfDfDCRsgAFB4ognRupQb~tplv-tiktokx-origin.image?dr=9636&x-expires=1777993200&x-signature=x4GzJl2D9ZvLgHCvYGAmUU7FaU0%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=useast8",
      "durationS": 13,
      "song": "original sound",
      "artist": "\u2730 \ud835\ude5b\ud835\ude64\ud835\ude67\ud835\ude69\ud835\ude5a\ud835\ude6f\ud835\ude6f\ud835\ude6e \u2730",
      "topHashtag": null,
      "isAd": false,
      "pinned": false,
      "slideshow": false,
      "sponsored": false,
      "language": "un"
    }
  ]
}
```
